.graduation {
    height: 165vw;
    overflow: hidden;
}


.graduation .resposTitle {
    width: 100%;
    aspect-ratio: 25 / 2;
    min-height: 100px;
    padding: 4vw 0 1vw 0;
}

.graduation .resposTitle img {
    margin: auto;
}

.graduation .resposTitle2 {
    width: 100%;
    aspect-ratio: 27 / 1;
    min-height: 50px;
    padding-top: 8vw;
}

.graduation .resposTitle2 img {
    margin: auto;
}

.graduation .reposBack img {
    height: 165vw;
    width: auto;
}

.graduation .resposBox2 .layer {
    flex: 1; 
    position: relative;
}

.graduation .resposBox2 img {
    width: 100%;
}

.graduation .resposBox2 {
    width: 60%;
    aspect-ratio: 50 / 14;
    padding-top: 5vw;
    margin: auto;
}

.graduation .resposBox2 img {
    width: 98%;
    height: auto;
    display: block;
    margin: auto;
}

.graduation .resposBox2 .img_box {
    display: flex;
    flex-direction: column;
    gap: 3vw;
    align-items: center;
    width: 100%;
}

.graduation .cover {
    -webkit-overflow-scrolling: touch;
}

.graduation .cover .grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 1fr;
    aspect-ratio: 25 / 16;
    width: 70%;
    margin: auto;
}

.graduation .cover .grid .card {
    perspective: 1500px;
    position: relative;
    cursor: pointer;
}

.graduation .cover .grid .card .book {
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    transition: transform 1s ease;
    position: relative;
}

.graduation .cover .grid .card .book.open {
    transform: rotateY(180deg);
}

.graduation .cover .grid .card .book .front,
.back {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    box-sizing: border-box;
}

.graduation .cover .grid .card .book .front {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.graduation .cover .grid .card .book .back {
    background: white;
    transform: rotateY(180deg);
    flex-direction: column;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}




@media (max-width: 600px) {

    .graduation {
        height: 323vw;
        overflow: hidden;
    }

    /* .graduation .resposTitle {
        width: 100%;
        height: 70px;
        padding-top: 20px;
        aspect-ratio: auto;
        min-height: 0;
    }

    .graduation .resposTitle2 {
        width: 100%;
        height: 70px;
        padding-top: 20px;
        aspect-ratio: auto;
        min-height: 0;
    } */

    .graduation .reposBack img {
        height: 323vw;
        max-width: 600px;
    }

    .graduation .cover {
        overflow-x: visible;
        overflow-x: auto;
    }

    .graduation .resposBox2 {
        height: clamp(100px, 50vw, 200px);
        padding-top: 0;
    }

    .graduation .resposTitle {
        width: 100%;
        height: 50px;
        padding: 18vw 0 8vw 0;
        aspect-ratio: auto;
        min-height: 0;
    }

    .graduation .resposTitle2 {
        width: 100%;
        height: 50px;
        padding: 25vw 0 8vw 0;
        aspect-ratio: auto;
        min-height: 0;
    }

    .graduation .cover {
        margin-top: 5vw;
    }

    .graduation .cover .grid {
        width: 120%;
    }
    .graduation .resposBox2 {
        height: auto;
        aspect-ratio: auto;
        width: 85%;
    }
.graduation .resposBox2 img {
        gap: 5vw;
    }
    
}





@media (min-width: 601px) and (max-width: 1020px) {

    .graduation {
        height: 320vw;
        overflow: hidden;
    }

    /* .graduation {
        aspect-ratio: 1 / 3;
        height: auto;
    } */

    .graduation .cover .grid {
        width: 90%;
    }

    /* .graduation .resposTitle {
        width: 100%;
        height: 80px;
        padding-top: 40px;
    }

    .graduation .resposTitle2 {
        width: 100%;
        height: 80px;
        padding-top: 40px;
    } */

    .graduation .reposBack img {
        height: 320vw;
        width: auto;
        max-width: 1020px;
    }

    .graduation .cover {
        overflow-x: visible;
        overflow-x: auto;
    }

    .graduation .resposBox2 {
        padding-top: 2vw;
        height: clamp(529px, 85vw, 900px);
        padding-top: 6vw;
    }

    .graduation .resposTitle {
        width: 100%;
        height: 50px;
        padding: 20vw 0 10vw 0;
        aspect-ratio: auto;
        min-height: 0;
    }

    .graduation .resposTitle2 {
        width: 100%;
        height: 50px;
        padding: 23vw 0 10vw 0;
        aspect-ratio: auto;
        min-height: 0;
    }

    .graduation .cover {
        margin-top: 5vw;
    }

    .graduation .cover .grid {
        width: 120%;
    }
    .graduation .resposBox2 {
        height: auto;
        aspect-ratio: auto;
        width: 85%;
    }


    .graduation .resposBox2 .layer {
        width: 100%;
    }

    .graduation .resposBox2 img {
        width: 100%;
    }
}